Skip to main content

Initiate database backup

POST 

/database/backup

Example callback payload

{
"tenantId":"demo",
"result":"COMPLETE",
"domain":"demo.mambu.com",
"fileName":"demo-MANUAL-DATABASE-BACKUP"
}

Allow the trigger of database backups. The developer can be notified via a callback defined in the POST call when the backup is ready. You can provide the callback either in the JSON body or as a query parameter. After the database backup process is completed, the a payload will be sent to the callback url provided as in the example provided.

Required permission: Download Backups for triggering and downloading a database backup

Please Note:

While a backup is in progress, Mambu will not allow starting another one. If you need to create backups after Mambu's nightly processing, you can setup the "End of Day Processing" / "Accounts Updated" WebHook in Mambu to get notified and then trigger the backup request with this API.

Example request using query parameter

https://TENANT_NAME.mambu.com/api/database/backup?callback=https%3A%2F%2Fmy-callback-service.com%2Fsource%3Dmambu%26whatis%3Ddatabse-backup

Request

Responses

OK